proc provides {} {
    return [list [Feature "xv" "3.10a"]]
}

# This is the system feature followed by the dependencies
proc requires {} {
    return [list [Feature "i386" "3.0"]]
}



proc check_requirements {database_handle} {
        set result {}
        foreach fr [requires] {
                set apnd 1
		set fdb [$database_handle feature [$fr name] provide]
		foreach f $fdb {
			if {[$f compare $fr] >= 0} {
				set apnd 0; # same or newer feature is provided by the system
				break
			}
                }
                if {$apnd} {
                	lappend result $fr
		}
	}
	return $result
}

proc conflicts {} {
	return {}
}

proc check_conflicts {database_handle} {
        set result {}
        foreach fr [conflicts] {
		set fdb [$database_handle feature [$fr name] provide]
		if {[llength $fdb] > 0} {
                	lappend result $fr
		}
	}
	return $result
}

proc could_be_installed_proc {} {
	return {
	proc could_be_installed {database_handle package feature} {
		return 1
	}
}
}

proc could_be_uninstalled_proc {} {
	return {
	proc could_be_uninstalled {database_handle package features} {
	        set result 1
        	foreach feature_required [$package requires] {
			foreach feature_to_uninstall $features {
	                        if {[string compare [$feature_to_uninstall name] [$feature_required name]] == 0 && [$feature_to_uninstall compare $feature_required] >= 0} {
	                                # feature to be uninstalled is required by this package
					set result 0
	                                # check if system provides another suitable feature with this name
					set features_in_db [$database_handle feature_other_versions $feature_to_uninstall provide]
					foreach feature_in_db $features_in_db {
						if {[$feature_in_db compare $feature_required] >= 0} {
							# system will provide suitable feature
							set result 1
							break
						}
					}
	                        }
	                        if {$result == 0} {
	                                break
	                        }
			}
                        if {$result == 0} {
                                break
                        }
		}
		return $result
	}
}
}

proc check_users_requirements {} {
	return {}
}

proc check_groups_requirements {} {
	return {}
}

proc check_suggestions {database_handle} {
	return {}
}

